Python
import autotab
from autotab.rest import ApiException
from pprint import pprint
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
try:
await autotab.RunApi(client).cancel(
id="run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
)
except ApiException as e:
print(f"Exception: {e})import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
await runClient.cancel({
id: "run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
});
}
main();curl --request POST \
--url https://api.autotab.com/v1/run/{id}/cancel \
--header 'Authorization: Bearer <token>'
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Run
Cancel
POST
/
run
/
{id}
/
cancel
Python
import autotab
from autotab.rest import ApiException
from pprint import pprint
client = autotab.Client(
autotab.Configuration(
api_key = os.environ["AUTOTAB_API_KEY"]
)
)
try:
await autotab.RunApi(client).cancel(
id="run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
)
except ApiException as e:
print(f"Exception: {e})import { Configuration, RunApi } from 'autotab';
const runClient = new RunApi(new Configuration({
apiKey: process.env['AUTOTAB_API_KEY'],
}));
async function main() {
await runClient.cancel({
id: "run_344ed4ce-6c14-4b13-96b5-3bbb2000c2e5"
});
}
main();⌘I